Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7351

Summary: Up2date batch requires X
Product: [Retired] Red Hat Linux Reporter: Ash <ash>
Component: up2dateAssignee: Preston Brown <pbrown>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-24 18:44:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ash 1999-11-26 16:28:53 UTC
I use Redhat for a few remote firewall and standalone servers where I do
not bother to install X on the system. Also I am many times supporting
these machines remotely over ssh regardless of X being installed or not.

Up2date, even in batch mode, requires the existance of X. This makes it
impossible to use on several of the systems I administer. Unfortunately the
change to gpg signatures, while a GoodThing(tm), breaks freshrpms, the
other such tool that came out a while back.

This leaves me with -no- way to remotely upgrade packages on a Redhat 6.1
system.

Comment 1 Jonathan Kamens 1999-12-16 11:24:59 UTC
I don't know if the following patch fixes *all* the dependencies on X, but it
fixes at least one that I discovered while attempting to use up2date in batch
mode last night -- it prevents up2date from trying to update the GUI progres bar
when that progress bar doesn't exist.

--- /usr/share/up2date/client.py	Wed Nov  3 15:21:48 1999
+++ /tmp/up2date/client.py	Thu Dec 16 06:30:26 1999
@@ -134,23 +134,22 @@
 	    return cid

     def setProgress(self, amount, total):
+	if not self.gui:
+	    return
 	threads_enter()
 	self.gui.progressBar.set_activity_mode(FALSE)
 	threads_leave()
-	if not self.gui:
-	    return
-	else:
-	    if total != 0:
-		i = (amount + 1.0) / total
-		if i > 1:
-		    i = 1.0
-		elif i < 0:
-		    i = 0
-	    else:
+	if total != 0:
+	    i = (amount + 1.0) / total
+	    if i > 1:
+		i = 1.0
+	    elif i < 0:
 		i = 0
-	    threads_enter()
-	    self.gui.progressBar.update(i)
-	    threads_leave()
+	else:
+	    i = 0
+	threads_enter()
+	self.gui.progressBar.update(i)
+	threads_leave()

     def setActivity(self):
 	threads_enter()

Comment 2 Preston Brown 2000-02-24 18:44:59 UTC
fixed for 6.2.